[Overview][Classes][Index] | Reference for unit 'nvContext' (#nvidia-widgets)

# UIContext.doRadioButton

UI method for rendering and processing a radio button

## Declaration

Source position: nvcontext.pas line 130

`public function UIContext.doRadioButton(`
`reference: Integer;`
`const r: Rect;`
`const Text: ;`
`var Value: Integer;`
`style: Integer = 0`
`):Boolean;`

## Arguments

`reference` |  | The reference int value represented by this radio button.
`r` |  | optionally provides a location and size for the button
`Text` |  | text to display on the button
`Value` |  | The value parameter compared to the reference value parameter.
`style` |  | optional style flag to modify the look

## Function result

True if the radio button value changed

## Description

Radio buttons are typically used in groups to display and edit the possible reference values taken by an integer value.

One radio button is representing a possible reference value taken by the current value. It is displaying a boolean state true if the current value is equal to the reference value.